# $Revision: 1.16 $, $Date: 2010/12/03 18:21:03 $

%define 	module	pyparsing

Summary:	pyparsing - a Python module for creating executing simple grammars
Summary(pl.UTF-8):	pyparsing - moduł Pythona umożliwiający tworzenie i parsowanie prostych gramatyk
Name:		python-%{module}
Version:	1.5.5
Release:	1
License:	MIT
Group:		Libraries/Python
Source0:	http://downloads.sourceforge.net/pyparsing/%{module}-%{version}.tar.gz
# Source0-md5:	0beba391cba3082d7914c289bffa52ce
URL:		http://pyparsing.sourceforge.net/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The parsing module is an alternative approach to creating and
executing simple grammars, vs. the traditional lex/yacc approach, or
the use of regular expressions. The parsing module provides a library
of classes that client code uses to construct the grammar directly in
Python code.

%description -l pl.UTF-8
Moduł pyparsing umożliwia tworzenie i parsowanie prostych gramatyk w
sposób odmienny od podejścia tradycyjnego, jakim jest zwykle użycie
pary lex/yacc lub wyrażeń regularnych. Moduł ten udostępnia bibliotekę
klas, przy pomocy których gramatyka tworzona jest wprost w kodzie
Pythona.

%package doc
Summary:	Documentation for pyparsing module
Summary(pl.UTF-8):	Dokumentacja do modułu pyparsing
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation files for pyparsing Python module.

%description doc -l pl.UTF-8
Pakiet zawierający dokumentację dla modułu Pythona pyparsing.

%package examples
Summary:	Examples for pyparsing module
Summary(pl.UTF-8):	Przykłady do modułu pyparsing
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example files for pyparsing Python module.

%description examples -l pl.UTF-8
Pakiet zawierający przykładowe skrypty dla modułu Pythona pyparsing.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir},%{_examplesdir}/%{name}-%{version}}

%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{py_sitescriptdir}/pyparsing.py[co]
%{py_sitescriptdir}/pyparsing-*.egg-info

%files doc
%defattr(644,root,root,755)
%doc HowToUsePyparsing.html htmldoc pyparsingClassDiagram.{JPG,PNG}

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyparsing.spec,v $
Revision 1.16  2010/12/03 18:21:03  qboosh
- updated to 1.5.5

Revision 1.15  2010/07/08 08:34:07  arekm
- release 2

Revision 1.14  2008/12/26 19:47:10  megabajt
- updated to 1.5.1

Revision 1.13  2008/10/03 17:58:49  arekm
- release 2

Revision 1.12  2007-05-25 10:42:11  beorn
- up to 1.4.6

Revision 1.11  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.9  2006/12/24 12:53:32  qboosh
- updated to 1.4.5
- added .egg-info for python 2.5

Revision 1.8  2005/11/27 11:39:04  qboosh
- updated to 1.3.3

Revision 1.7  2005/06/27 01:32:55  saq
- up to 1.3

Revision 1.6  2004/12/26 17:35:45  saq
- strict python deps, release 2

Revision 1.5  2004/12/18 16:00:06  darekr
- updated to 1.2.2, BR: python-modules

Revision 1.4  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.3  2004/08/31 13:35:55  darekr
- update to 1.2.1

Revision 1.2  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.1  2004/07/03 07:42:09  zboczuch
- initial PLD release
